﻿input[type="text"], input[type="number"],input[type="email"], select {
  box-sizing: border-box;
  width: 100%;
  height: calc(3em + 2px);
  margin: 0 0 1em;
  padding: 1em;
  border: 1px solid #ccc; 
  background: #fff;
  resize: none;
  outline: none;
}
select { 
  padding: unset;
  padding-left: 1em;
}

input[type="text"] + label[placeholder] ,
input[type="number"] + label[placeholder],
input[type="email"] + label[placeholder],
select + label[placeholder],
input[type="text"] + .ui-datepicker-trigger + label[placeholder]  
{
  display: block;
  pointer-events: none;
  line-height: 1.25em;
  margin-top: calc(-3em - 2px);
  margin-bottom: calc((3em - 1em) + 2px);
  padding-left:5px;
}
input[type="text"] + label[placeholder]:before ,
input[type="number"] + label[placeholder]:before,
input[type="email"] + label[placeholder]:before,
select + label[placeholder]:before,
input[type="text"] + .ui-datepicker-trigger + label[placeholder]:before
{
  content: attr(placeholder);
  display: inline-block;
  margin: 0 calc(0em + 0px);
  padding: 0 0px;
  color: #898989;
  white-space: nowrap;
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
  background-image: -webkit-linear-gradient(top, #fff, #fff);
  background-image: linear-gradient(to bottom, #fff, #fff);
  background-size: 100% 5px;
  background-repeat: no-repeat;
  background-position: center; 
}

input[type="text"]:required + label:after ,
input[type="number"]:required + label:after,
input[type="email"]:required + label:after,
select:required + label:after,
input[type="text"]:required + .ui-datepicker-trigger + label:after
{
  content: "*";
  display: inline-block;
  margin: 0 calc(0em + 0px);
  padding: 0 0px;
  color: red;
  white-space: nowrap;
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
  background-image: -webkit-linear-gradient(top, #fff, #fff);
  background-image: linear-gradient(to bottom, #fff, #fff);
  background-size: 100% 5px;
  background-repeat: no-repeat;
  background-position: center;
  font-weight: bold;
}

.stickHeader:focus,
.ui-keyboard-input-current
{
  border-color: #00bafa !important;
}

.stickHeader:focus + label[placeholder]:before ,
.stickHeader:not([readonly]):focus + .ui-datepicker-trigger + label[placeholder]:before,
.ui-keyboard-input-current + label[placeholder]:before
{
  color: #00bafa !important;
}



.stickHeader:focus + label[placeholder]:before,
.stickHeader:focus + .ui-datepicker-trigger + label[placeholder]:before,
.ui-keyboard-input-current + label[placeholder]:before,
.ui-keyboard-input-current + .ui-datepicker-trigger + label[placeholder]:before,
.stickHeader + label[placeholder]:before,
.stickHeader + .ui-datepicker-trigger + label[placeholder]:before
{
  -webkit-transition-duration: .2s;
          transition-duration: .2s;
  -webkit-transform: translate(0, -1.7em) scale(1, 1);
          transform: translate(0, -1.7em) scale(1, 1);
}


.stickHeader:focus + label:after,
.stickHeader:focus + .ui-datepicker-trigger + label:after,
.ui-keyboard-input-current + .ui-datepicker-trigger + label:after,
.ui-keyboard-input-current + label:after,
.stickHeader + .ui-datepicker-trigger + label:after,
.stickHeader + label:after
{
  -webkit-transition-duration: .2s;
          transition-duration: .2s;
  -webkit-transform: translate(0, -1.7em) scale(1, 1);
          transform: translate(0, -1.7em) scale(1, 1);
}

.ui-keyboard-input-current {
    -moz-box-shadow: inherit;
    -webkit-box-shadow: inherit;
    box-shadow: inherit;
}
.placeholder {
    text-align:center;
}
input[type="text"]:read-write:focus, 
input[type="number"]:read-write:focus, 
input[type="email"]:read-write:focus, 
select:focus, .ui-keyboard-input-current {
    border-color: transparent !important;
    box-shadow: 0px 0px 4px 2px #00bafa !important;
    background-color: #00bafa14 !important;
}



/*Styles For Firefox*/
/*BEGIN*/

input[type="text"]:-moz-read-write:focus, 
input[type="number"]:-moz-read-write:focus, 
input[type="email"]:-moz-read-write:focus, 
select:focus,
.ui-keyboard-input-current
{
  border-color: #00bafa !important;  
  border:none !important;
  box-shadow: 0px 0px 4px 2px #00bafa;
  background-color: #00bafa14;
}
input[type="text"]:-moz-read-write:focus + label[placeholder]:before,
input[type="number"]:-moz-read-write:focus + label[placeholder]:before, 
input[type="email"]:-moz-read-write:focus + label[placeholder]:before, 
select:focus + label[placeholder]:before ,
.ui-keyboard-input-current + label[placeholder]:before
{
  color: #00bafa !important;
  font-weight: bold;
}

input[type="text"]:-moz-read-write:focus + label[placeholder]:before,
input[type="number"]:-moz-read-write:focus + label[placeholder]:before,
input[type="email"]:-moz-read-write:focus + label[placeholder]:before,
.ui-keyboard-input-current + label[placeholder]:before
{
  -webkit-transition-duration: .2s;
          transition-duration: .2s;
  -webkit-transform: translate(0, -1.7em) scale(1, 1);
          transform: translate(0, -1.7em) scale(1, 1);
}


input[type="text"]:-moz-read-write:focus + label:after,
input[type="number"]:-moz-read-write:focus + label:after,
input[type="email"]:-moz-read-write:focus + label:after,
.ui-keyboard-input-current + label:after
{
  -webkit-transition-duration: .2s;
          transition-duration: .2s;
  -webkit-transform: translate(0, -1.6em) scale(1, 1);
          transform: translate(0, -1.6em) scale(1, 1);
}
/*END*/
/*Styles For Firefox*/



